Name:           python-cloudfiles
Version:        1.7.11
Release:        6%{?dist}
Summary:        Python language bindings for Rackspace CloudFiles API

Group:          Development/Libraries
License:        MIT
URL:            https://github.com/rackspace/python-cloudfiles
Source0:        http://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-nose
BuildRequires:  python-setuptools

%global _description\
Python language bindings for Rackspace CloudFiles API

%description %_description

%package -n python2-cloudfiles
Summary: %summary
%{?python_provide:%python_provide python2-cloudfiles}

%description -n python2-cloudfiles %_description

%prep
%setup -q

%build
%py2_build

%install
%py2_install

%check
nosetests

%files -n python2-cloudfiles
%license COPYING
%{python_sitelib}/cloudfiles/
%{python_sitelib}/python_cloudfiles-*-py*.egg-info/

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.11-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.7.11-5
- Python 2 binary package renamed to python2-cloudfiles
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.11-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Sat Jun 18 2016 Pete Walter <pwalter@fedoraproject.org> - 1.7.11-1
- Update to 1.7.11
- Use py2_build / py2_install macros

* Sat Jun 18 2016 Pete Walter <pwalter@fedoraproject.org> - 1.7.10-8
- Drop explicit 'Requires: python2' (#1046597)
- Spec file clean up

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.10-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.10-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jul 03 2012 BJ Dierkes <wdierkes@rackspace.com> - 1.7.10-1
- Latest sources from upstream, rebuild for F18.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.9.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Nov 22 2011 BJ Dierkes <wdierkes@rackspace.com> - 1.7.9.3-1
- Latest sources from upstream, rebuild for F17.

* Wed Apr 20 2011 BJ Dierkes <wdierkes@rackspace.com> - 1.7.9.1-1
- Latest sources from upstream.

* Tue Feb 15 2011 BJ Dierkes <wdierkes@rackspace.com> - 1.7.8-1
- Latest sources.
- Use PyPi as upstream Source0

* Mon Jan 31 2011 BJ Dierkes <wdierkes@rackspace.com> - 1.7.7-1
- Latest sources.
- Removed Patch0: broken_tests.patch (applied upstream).

* Tue Jan 25 2011 BJ Dierkes <wdierkes@rackspace.com> - 1.7.6.1-1
- Latest sources
- Fixed Source0 to a usable URL
- BR: python-nose, and run nosetests in %%check
- Added Patch0: broken_tests.patch.  Resolves GH#23
  https://github.com/rackspace/python-cloudfiles/issues#issue/23

* Mon Jan 17 2011 BJ Dierkes <wdierkes@rackspace.com> - 1.7.5-1
- Initial spec build

